When I start up the Breathe-Link Software I get 'invalid device connected'

Make sure the software you have downloaded or been supplied with is correct for the model of POWERbreathe K-Series that you have. POWERbreathe K-Series versions are not interchangeable between Breathe-Link K4, K5 and KH2 units.

Leave a Comment

Sorry, you must be logged in to post a comment.